#version 330 core

in vec2 UV;
in vec2 ray;
uniform float timestamp;

out vec4 ocolor;

void main() {
	float color = 0.0;
	color += sin(UV.x - UV.y) ;
	color += sin(timestamp)* cos(sin(timestamp)*UV.y*UV.x*sin(UV.x))+.008;
	color += sin(timestamp)+UV.x*sin(UV.y*sin(sin(tan(cos (timestamp)))));
	ocolor = vec4( vec3(sin(color*color)*4.0, sin(color*color) , color )*sin(timestamp+UV.x/(timestamp*3.14)),timestamp/10.828 );
	ocolor = vec4(ocolor.x + ocolor.y + ocolor.z);
}
